#ifndef __PW_FADE_H__
#define __PW_FADE_H__

#include "pw_defs.h"

//----------------------------------------------------------------------------//
// Constants                                                                  //
//----------------------------------------------------------------------------//
#define FADE_IN  1
#define FADE_OUT 2


//----------------------------------------------------------------------------//
// Public Functions                                                           //
//----------------------------------------------------------------------------//
void Fade_Reset(U16 frames, U8 state);
BOOL Fade_Update();


//----------------------------------------------------------------------------//
// Globals                                                                    //
//----------------------------------------------------------------------------//
extern BOOL Fade_IsCompleted;
extern BOOL Fade_State;

#endif // __PW_FADE_H__
